"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const convert_1 = __importDefault(require("../convert"));
const office_1 = __importDefault(require("../office"));
jest.mock('../office.ts');
describe('Convert', () => {
    it('calls soffice function', () => __awaiter(void 0, void 0, void 0, function* () {
        const inputString = 'foo.txt';
        yield (0, convert_1.default)(inputString);
        expect(office_1.default).toBeCalledWith({
            input: inputString,
        });
    }));
    it('passes options to soffice function', () => __awaiter(void 0, void 0, void 0, function* () {
        const inputString = 'bar.txt';
        const options = {
            abc: 'def',
            foo: 'bar',
        };
        yield (0, convert_1.default)(inputString, options);
        expect(office_1.default).toBeCalledWith(Object.assign(Object.assign({}, options), { input: inputString }));
    }));
    it('ignores input from options object because it was already passed as first parameter', () => __awaiter(void 0, void 0, void 0, function* () {
        const inputString = 'foo.txt';
        const options = {
            abc: 'def',
            foo: 'bar',
            input: 'bar.jpg',
        };
        yield (0, convert_1.default)(inputString, options);
        expect(office_1.default).toBeCalledWith(Object.assign(Object.assign({}, options), { input: inputString }));
    }));
});
