"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = __importDefault(require(".."));
const convert_1 = __importDefault(require("../convert"));
jest.mock('../convert.ts', () => ({
    __esModule: true,
    default: jest.fn(),
}));
const convertMock = convert_1.default;
beforeEach(() => {
    convertMock.mockClear();
});
describe('Default export', () => {
    it('calls unoconv command', () => __awaiter(void 0, void 0, void 0, function* () {
        const inputString = 'foo.txt';
        yield (0, __1.default)(inputString);
        expect(convertMock.mock.calls[0]).toEqual([inputString, {}]);
    }));
    it('passes both input and options arguments to convert function', () => __awaiter(void 0, void 0, void 0, function* () {
        const inputString = 'bar.txt';
        const options = {
            abc: 'def',
            foo: 'bar',
        };
        yield (0, __1.default)(inputString, options);
        expect(convertMock.mock.calls[0]).toEqual([inputString, options]);
    }));
});
